
Name:		task-codec
Version:	3
Release:	%mkrel 7
Summary:	Meta-package for easy installation of Codecs
Summary(fr_FR):	Méta-paquetage pour installation facile de Codecs
Group:		Sound/Utilities
License:	LGPLv2+
URL:		http://www.mageialinux-online.org/wiki/installer-les-codecs-audio-video-sur-sa-mageia

BuildArch:	noarch
Conflicts:	task-codec-tainted

# codecs
Suggests:	a52dec
Suggests:	ffmpeg
Suggests:	ffmpeg2theora
Suggests:	flac
Suggests:	fluidsynth
Suggests:	mp3gain
Suggests:	mpeg2dec
Suggests:	mplayer
Suggests:	speex
Suggests:	twolame
Suggests:	vorbis-tools
Suggests:	vorbisgain

# gstreamer0.10 old version
Suggests:	gstreamer0.10-dirac
Suggests:	gstreamer0.10-ffmpeg
Suggests:	gstreamer0.10-gnomevfs
Suggests:	gstreamer0.10-mms
Suggests:	gstreamer0.10-musepack
Suggests:	gstreamer0.10-neon
Suggests:	gstreamer0.10-plugins-ugly
Suggests:	gstreamer0.10-resindvd

# gstreamer1.0 new version
Suggests:	gstreamer1.0-a52dec
Suggests:	gstreamer1.0-caca
Suggests:	gstreamer1.0-cdio
Suggests:	gstreamer1.0-cdparanoia
Suggests:	gstreamer1.0-dv
Suggests:	gstreamer1.0-farstream
Suggests:	gstreamer1.0-flac
Suggests:	gstreamer1.0-gme
Suggests:	gstreamer1.0-gsm
Suggests:	gstreamer1.0-libav
Suggests:	gstreamer1.0-mms
Suggests:	gstreamer1.0-mpeg
Suggests:	gstreamer1.0-plugins-bad
Suggests:	gstreamer1.0-plugins-base
Suggests:	gstreamer1.0-plugins-good
Suggests:	gstreamer1.0-plugins-ugly
Suggests:	gstreamer1.0-pulse
Suggests:	gstreamer1.0-rtmp
Suggests:	gstreamer1.0-soup
Suggests:	gstreamer1.0-speex
Suggests:	gstreamer1.0-tools
Suggests:	gstreamer1.0-twolame
Suggests:	gstreamer1.0-voip
Suggests:	gstreamer1.0-wavpack

# library
Suggests:	libquicktime-dv

%description
This package is a meta-package for installing all
the video and audio Codecs needed.

%description -l fr_FR
Ce paquet est un méta-paquetage permettant d'installer
tous les Codecs vidéo et audio nécessaires.

%prep

%build

%install

%files

%changelog

* Sat Jun 08 2013 david.david (MLO Team) <david.david> 3-7.mga3
+ Revision: 7
- change Requires to Suggests
- change Group
- add Conflicts task-codec-tainted

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 3-5.mga3
+ Revision: 5
- Correcting "spec" file

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 3-4.mga3
+ Revision: 4
- requires:
	-gstreamer0.10-plugins-ugly (for Amarok -> greffon MPEG-1 Layer 3_MP3)
	-gstreamer0.10-mms (for Radiotray -> greffon flux radio)
	
* Sun Apr 14 2013 david.david (MLO Team) <david.david> 3-3.mga3
+ Revision: 3
- requires:
	-fluidsynth
	
* Wed Apr 03 2013 david.david (MLO Team) <david.david> 3-2.mga3
+ Revision: 2
- new version of plugins gstreamer1.0: 
   
   gstreamer1.0-a52dec, gstreamer1.0-caca, gstreamer1.0-cdio, 
   gstreamer1.0-cdparanoia, gstreamer1.0-dv, gstreamer1.0-farstream,
   gstreamer1.0-flac, gstreamer1.0-gme, gstreamer1.0-gsm,
   gstreamer1.0-libav, gstreamer1.0-mms, gstreamer1.0-mpeg, 
   gstreamer1.0-plugins-bad, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, 
   gstreamer1.0-plugins-ugly, gstreamer1.0-pulse, gstreamer1.0-rtmp, 
   gstreamer1.0-soup, gstreamer1.0-speex, gstreamer1.0-tools, 
   gstreamer1.0-twolame, gstreamer1.0-voip, gstreamer1.0-wavpack.

* Sat Mar 30 2013 david.david (MLO Team) <david.david> 3-1.mga3
+ Revision: 1
- rebuild for Mageia 3 (Core)
+ Clean "spec" file
- requires: 
	-mplayer
	-gstreamer0.10-dirac
	-libquicktime-dv 
	
* Mon Feb 25 2013 Adrien.D <adrien.daugabel@gmail.com> 1-2.mga2
+ Revision: 2
- Removed some unnecessary codecs that are installed by other software dependency

* Sun Feb 24 2013 Adrien.D <adrien.daugabel@gmail.com> 1-1-mga2
+ Revision: 1
- New RPM Package
